BEGIN;
CREATE TABLE IF NOT EXISTS `accounts` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`type`	varchar(32) NOT NULL DEFAULT 'plain'
,	`password`	text
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `actions` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`descr`	varchar(255) NOT NULL
,	`enabled`	enum('false','true') NOT NULL DEFAULT 'true'
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','1','Update Administrator Information','admin_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','2','Stop Service','service_stop');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','3','Start Service','service_start');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','4','Restart Service','service_restart');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','5','Create IP Address','ip_address_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','6','Update IP Address','ip_address_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','7','Delete IP Address','ip_address_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','8','Create Client','client_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','9','Update Client','client_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','10','Delete Client','client_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','11','Update Client Status','client_status_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','12','Update Client Preferences','client_preferences_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','13','Update Client IP Pool','client_ip_pool_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','14','Client\'s disk space limit reached','client_limit_size_reached');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','15','Client\'s traffic limit reached','client_limit_traffic_reached');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','16','Create Domain','domain_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','17','Update Domain','domain_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','18','Delete Domain','domain_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','19','Update Domain Status','domain_status_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','20','Update Domain DNS Zone','domain_dns_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','21','Domain\'s disk space limit reached','domain_limit_size_reached');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','22','Domain\'s traffic limit reached','domain_limit_traffic_reached');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','23','Create Subdomain','subdomain_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','24','Update Subdomain','subdomain_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','25','Delete Subdomain','subdomain_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','26','Create Physical Hosting','phys_hosting_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','27','Update Physical Hosting','phys_hosting_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','28','Delete Physical Hosting','phys_hosting_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','29','Create Standard/Frame forwarding','forwarding_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','30','Update Standard/Frame forwarding','forwarding_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','31','Delete Standard/Frame forwarding','forwarding_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','32','Create Mailname','mailname_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','33','Update Mailname','mailname_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','34','Delete Mailname','mailname_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','35','Create WebUser','webuser_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','36','Update WebUser','webuser_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','37','Delete WebUser','webuser_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','38','Update Client Limits','client_limits_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','39','Update Domain Limits','domain_limits_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','40','Update Client Permissions','client_permissions_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','41','Create Mail list','maillist_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','42','Update Mail list','maillist_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','43','Delete Mail list','maillist_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','44','CP User Login','cp_user_login');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','45','CP User Logout','cp_user_logout');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','46','Domain User Update','dl_user_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','47','Install Site Application','siteapp_install');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','48','Reconfigure Site Application','siteapp_reconfigure');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','49','Unchain site application','siteapp_unchain');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','50','Uninstall site application','siteapp_uninstall');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','51','License updated','license_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','54','Site Application Package added to Client Pool','client_siteapp_added');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','55','Site Application Package removed from Client Pool','client_siteapp_removed');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','56','Create domain alias','domain_alias_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','57','Update domain alias','domain_alias_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','58','Delete domain alias','domain_alias_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','59','Create database server','database_server_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','60','Update database server','database_server_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','61','Delete database server','database_server_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','62','Update remote DNS server status','remote_dns_status_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','63','Create administrator subaccount','admin_alias_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','64','Update administrator subaccount','admin_alias_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','65','Delete administrator subaccount','admin_alias_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','66','Create FTP User','ftpuser_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','67','Update FTP User','ftpuser_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','68','Delete FTP User','ftpuser_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','69','Upgrade site application','siteapp_upgrade');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','70','Plesk component upgrade','plesk_component_upgrade');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','71','License expired','license_expired');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','72','Login settings updated','session_preferences_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','73','Create Desktop Preset','dashboard_preset_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','74','Update Desktop Preset','dashboard_preset_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','75','Delete Desktop Preset','dashboard_preset_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','76','Update Domain alias DNS Zone','domain_alias_dns_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','77','Create Database','database_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','78','Delete Database','database_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','79','Create Database User','database_user_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','80','Update Database User','database_user_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','81','Delete Database User','database_user_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','82','Update Client GUID','client_guid_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','83','Update Domain GUID','domain_guid_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','84','Create client template','template_client_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','85','Update client template','template_client_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','86','Delete client template','template_client_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','87','Create domain template by admin','template_admin_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','88','Update domain template by admin','template_admin_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','89','Delete domain template by admin','template_admin_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','90','Create domain template by client','template_domain_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','91','Update domain template by client','template_domain_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','92','Delete domain template by client','template_domain_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','94','Change Domain Owner','domain_owner_change');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','95','Create client template','template_reseller_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','96','Update client template','template_reseller_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','97','Delete reseller template','template_reseller_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','98','Create Reseller','reseller_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','99','Update Reseller','reseller_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','100','Delete Reseller','reseller_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','101','Update Reseller Status','reseller_status_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','102','Update Reseller Preferences','reseller_preferences_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','103','Update Reseller IP Pool','reseller_ip_pool_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','104','Reseller\'s disk space limit reached','reseller_limit_size_reached');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','105','Reseller\'s traffic limit reached','reseller_limit_traffic_reached');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','106','Update Reseller Limits','reseller_limits_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','107','Update Reseller Permissions','reseller_permissions_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','108','Site Application Package added to Reseller Pool','reseller_siteapp_added');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','109','Site Application Package removed from Reseller Pool','reseller_siteapp_removed');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','110','Update Reseller GUID','reseller_guid_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','111','Server health status changed','health_status_change');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','112','Create additional domain','site_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','113','Update additional domain','site_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','114','Delete additional domain','site_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','115','Change status of additional domain','site_status_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','116','Update additional domain DNS zone status','site_dns_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','117','Change site guid','site_guid_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','118','Create alias for additional domain','site_alias_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','119','Update alias for additional domain','site_alias_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','120','Delete alias for additional domain','site_alias_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','121','Update DNS zone for alias for additional domain','site_alias_dns_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','122','Create subdomain for additional domain','site_subdomain_create');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','123','Update subdomain for additional domain','site_subdomain_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','124','Delete subdomain for additional domain','site_subdomain_delete');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','125','Update subdomain DNS zone status','subdomain_dns_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','126','Update DNS zone of subdomain for additional domain status','site_subdomain_dns_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','127','New patch available','patch_available');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','128','New patch installed','patch_installed');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','129','CP User Login Attempt Failed','cp_user_login_failed');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','130','CP User Login Attempt via API Failed','cp_user_api_login_failed');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','135','Subscription plan change','domain_plan_change');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','136','Administrator preferences updated','admin_preferences_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','137','Subscription\'s disk space usage updated','domain_usage_size_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','138','Subscription\'s traffic usage updated','domain_usage_traffic_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','139','Install extension','extension_install');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','140','Uninstall extension','extension_uninstall');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','141','Upgrade extension','extension_upgrade');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','142','Update extension status','extension_status_update');
REPLACE INTO `actions` (`enabled`,`id`,`descr`,`name`) VALUES ('true','143','Additional license key expired','additional_license_expired');

CREATE TABLE IF NOT EXISTS `admin_aliases` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`login`	varchar(20) NOT NULL
,	`account_id`	int(10) unsigned NOT NULL
,	`arealname`	varchar(255) NOT NULL
,	`aemail`	varchar(255) NOT NULL
,	`comments`	varchar(255) NOT NULL
,	`status`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	UNIQUE `login` (`login`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `admin_aliases_param` (
	`alias_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`param`	varchar(245) NOT NULL
,	`val`	varchar(255)
,	PRIMARY KEY (`alias_id`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `apscategories` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`category_name`	varchar(255)
,	`parent_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	INDEX `parent_id` (`parent_id`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `APSCatalogUpdates` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`package_name`	varchar(255)
,	`package_version`	varchar(30)
,	`package_release`	varchar(30)
,	`update_name`	varchar(255)
,	`update_version`	varchar(30)
,	`update_release`	varchar(30)
,	`update_vendor`	varchar(255)
,	`update_packager`	varchar(255)
,	`received`	datetime DEFAULT '0000-00-00 00:00:00'
,	`update_type`	enum('patch','upgrade') NOT NULL DEFAULT 'patch'
,	`recommended`	enum('false','true') NOT NULL DEFAULT 'false'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `APSLicenses` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`license_type_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`key_number`	varchar(255) NOT NULL
,	`source`	text
,	`ka_url`	varchar(255) NOT NULL
,	`expiration_date`	date
,	`update_date`	date
,	`personal`	enum('false','true') NOT NULL DEFAULT 'false'
,	UNIQUE `key_number` (`key_number`)
,	INDEX `license_type_id` (`license_type_id`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `APSLicenseTypes` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`application_name`	varchar(255) NOT NULL
,	`application_versions`	varchar(255) NOT NULL
,	`application_features`	varchar(255) NOT NULL
,	`description`	varchar(255)
,	`license_type_hash`	varchar(255) NOT NULL
,	UNIQUE `application_name` (`application_name`,`application_versions`,`application_features`)
,	PRIMARY KEY (`id`)
,	UNIQUE `license_type_hash` (`license_type_hash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `APSApplicationItems` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`pkg_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`license_type_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`disabled`	enum('false','true') NOT NULL DEFAULT 'false'
,	INDEX `pkg_id` (`pkg_id`)
,	UNIQUE `license_type_id` (`license_type_id`,`pkg_id`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `APSClientApplicationItems` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`client_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`app_item_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`instances_limit`	int(10) NOT NULL DEFAULT '-1'
,	`broadcast`	enum('false','true') NOT NULL DEFAULT 'false'
,	INDEX `app_item_id` (`app_item_id`)
,	INDEX `client_id` (`client_id`)
,	PRIMARY KEY (`id`)
,	UNIQUE `client_app_item` (`client_id`,`app_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `apsContexts` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`pleskType`	varchar(255) NOT NULL
,	`pleskId`	int(10) unsigned NOT NULL
,	`ssl`	enum('false','true') NOT NULL DEFAULT 'false'
,	`subscriptionId`	int(10) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `apsContextsApplications` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`apsContextId`	int(10) unsigned NOT NULL
,	`registryApplicationId`	varchar(36) NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `apsResources` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`registryId`	varchar(36) NOT NULL
,	`pleskType`	varchar(255) NOT NULL
,	`pleskId`	int(10) unsigned NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `apsResourcesParameters` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`apsResourceId`	int(10) unsigned NOT NULL
,	`name`	varchar(255) NOT NULL
,	`value`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `apsInstancesParameters` (
	`instanceId`	int(11) NOT NULL
,	`name`	varchar(255) NOT NULL
,	`value`	varchar(255)
,	PRIMARY KEY (`instanceId`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ApsTokens` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`subscriptionId`	int(10) unsigned NOT NULL
,	`applicationId`	varchar(2000) NOT NULL
,	`instanceId`	int(10) unsigned
,	`token`	varchar(255) NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `anon_ftp` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`max_conn`	int(10) unsigned
,	`bandwidth`	int(10) unsigned
,	`incoming`	enum('false','true') NOT NULL DEFAULT 'false'
,	`incoming_readable`	enum('false','true') NOT NULL DEFAULT 'false'
,	`incoming_subdirs`	enum('false','true') NOT NULL DEFAULT 'false'
,	`status`	enum('false','true') NOT NULL DEFAULT 'false'
,	`quota`	bigint(20) unsigned DEFAULT '1048576'
,	`display_login`	enum('false','true') NOT NULL DEFAULT 'false'
,	`login_text`	text
,	UNIQUE `dom_id` (`dom_id`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `avstatistics` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`type`	enum('summary','viruses','recipients','spam_summary','spam_recipients') NOT NULL DEFAULT 'summary'
,	`date`	date NOT NULL DEFAULT '0000-00-00'
,	`name`	varchar(255) NOT NULL
,	`val`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	INDEX `date_type` (`type`,`date`)
,	UNIQUE `type` (`type`,`date`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `BackupExcludeFiles` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`files`	text
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `BackupsScheduled` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`obj_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`obj_type`	enum('server','reseller','client','domain') NOT NULL
,	`repository`	enum('local','ftp') NOT NULL DEFAULT 'local'
,	`last`	datetime
,	`period`	int(10) unsigned NOT NULL DEFAULT '0'
,	`active`	enum('false','true') NOT NULL
,	`processed`	enum('false','true') NOT NULL
,	`rotation`	int(11) NOT NULL DEFAULT '0'
,	`prefix`	varchar(255)
,	`email`	varchar(255)
,	`split_size`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`suspend`	enum('false','true') NOT NULL DEFAULT 'false'
,	`with_content`	enum('false','true') NOT NULL DEFAULT 'true'
,	`backup_day`	int(10) unsigned NOT NULL DEFAULT '0'
,	`backup_time`	varchar(8) NOT NULL DEFAULT '00:00:00'
,	`content_type`	enum('backup_content_all_at_domain','backup_content_vhost_only','backup_content_mail_only') NOT NULL DEFAULT 'backup_content_all_at_domain'
,	`full_backup_period`	int(11) unsigned NOT NULL DEFAULT '0'
,	`mssql_native_backup`	int(1) NOT NULL DEFAULT '1'
,	`backupExcludeFilesId`	int(10) unsigned
,	`backupExcludeLogs`	int(1) NOT NULL DEFAULT '0'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `BackupsSettings` (
	`id`	int(10) unsigned
,	`type`	enum('domain','client','server') NOT NULL DEFAULT 'domain'
,	`param`	varchar(255) NOT NULL
,	`value`	varchar(255)
,	UNIQUE `id` (`id`,`type`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `badmailfrom` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`domain`	varchar(255) NOT NULL
,	`serviceNodeId`	int(10) unsigned NOT NULL DEFAULT '1'
,	INDEX `domain` (`domain`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Cards` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`personalName`	varchar(255) NOT NULL
,	`companyName`	varchar(255)
,	`phone`	varchar(255)
,	`fax`	varchar(255)
,	`email`	varchar(255)
,	`address`	varchar(255)
,	`city`	varchar(255)
,	`state`	varchar(255)
,	`zip`	varchar(10)
,	`country`	varchar(2)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `certificates` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`csr`	blob
,	`pvt_key`	blob
,	`cert`	blob
,	`cert_file`	varchar(255) NOT NULL DEFAULT ''
,	`ca_cert`	blob
,	`ca_file`	varchar(255) NOT NULL DEFAULT ''
,	`name`	varchar(255) NOT NULL DEFAULT ''
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `cl_param` (
	`cl_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`param`	varchar(245) NOT NULL
,	`val`	varchar(255)
,	PRIMARY KEY (`cl_id`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `CliCallsStat` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`util`	varchar(255) NOT NULL
,	`command`	varchar(255) NOT NULL
,	`lastExecutionDateTime`	datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
,	`count`	bigint(20) unsigned NOT NULL DEFAULT '1'
,	UNIQUE `utilCommand` (`command`,`util`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `clients` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`cr_date`	date
,	`cname`	varchar(255)
,	`pname`	varchar(255) NOT NULL
,	`login`	varchar(255) NOT NULL
,	`account_id`	int(10) unsigned NOT NULL
,	`status`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`phone`	varchar(255)
,	`fax`	varchar(255)
,	`email`	varchar(255)
,	`address`	varchar(255)
,	`city`	varchar(255)
,	`state`	varchar(255)
,	`pcode`	varchar(10)
,	`country`	varchar(2)
,	`locale`	varchar(17) NOT NULL DEFAULT 'en-US'
,	`description`	varchar(255)
,	`limits_id`	int(10) unsigned DEFAULT '0'
,	`params_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`perm_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`pool_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`logo_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`tmpl_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`sapp_pool_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`ownership`	enum('false','true') NOT NULL DEFAULT 'true'
,	`guid`	varchar(36) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000'
,	`parent_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`type`	enum('admin','reseller','client') NOT NULL DEFAULT 'client'
,	`overuse`	enum('false','true') NOT NULL DEFAULT 'false'
,	`vendor_id`	int(10) unsigned
,	`external_id`	varchar(255)
,	`passwd`	varchar(20) NOT NULL
,	INDEX `sapp_pool_id` (`sapp_pool_id`)
,	INDEX `account_id` (`account_id`)
,	INDEX `limits_id` (`limits_id`)
,	INDEX `tmpl_id` (`tmpl_id`)
,	INDEX `vendor_id` (`vendor_id`)
,	PRIMARY KEY (`id`)
,	INDEX `pool_id` (`pool_id`)
,	INDEX `logo_id` (`logo_id`)
,	INDEX `parent_id` (`parent_id`)
,	INDEX `pname` (`pname`)
,	UNIQUE `login` (`login`)
,	INDEX `params_id` (`params_id`)
,	INDEX `type` (`type`)
,	INDEX `perm_id` (`perm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `clients` (`account_id`,`passwd`,`pname`,`login`,`type`,`cr_date`) VALUES ('0','','Administrator','admin','admin',now());

CREATE TABLE IF NOT EXISTS `ClientsTraffic` (
	`cl_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`date`	date NOT NULL DEFAULT '0000-00-00'
,	`http_in`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`http_out`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`ftp_in`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`ftp_out`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`smtp_in`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`smtp_out`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`pop3_imap_in`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`pop3_imap_out`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`cl_id`,`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ComposerInstances` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`webspaceId`	int(10) unsigned NOT NULL
,	`path`	varchar(255) NOT NULL
,	`name`	varchar(255)
,	UNIQUE `path` (`webspaceId`,`path`)
,	PRIMARY KEY (`id`)
,	INDEX `webspaceId` (`webspaceId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Configurations` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`serviceNodeId`	int(10) unsigned NOT NULL DEFAULT '1'
,	`file`	blob
,	`version`	varchar(255) NOT NULL
,	`objectType`	varchar(255) NOT NULL
,	`objectId`	int(10) unsigned
,	`status`	enum('error','generation','ok') NOT NULL DEFAULT 'error'
,	`active`	enum('false','true') NOT NULL DEFAULT 'true'
,	`description`	blob
,	`errorFile`	blob
,	INDEX `status` (`status`)
,	INDEX `objectTypeAndId_index` (`objectType`,`objectId`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `cp_access` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`type`	enum('allow','deny') NOT NULL DEFAULT 'allow'
,	`netaddr`	varchar(39) NOT NULL
,	`netmask`	varchar(15) NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `custom_buttons` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`sort_key`	int(10) unsigned NOT NULL DEFAULT '100'
,	`level`	int(10) unsigned NOT NULL DEFAULT '0'
,	`level_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`place`	enum('domain','domain-properties','client','reseller','reseller-settings','admin','admin-settings','navigation') NOT NULL DEFAULT 'domain'
,	`text`	varchar(255)
,	`url`	varchar(255)
,	`conhelp`	text
,	`options`	int(10) unsigned NOT NULL DEFAULT '0'
,	`file`	varchar(245) NOT NULL
,	`plan_item_name`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `data_bases` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(64) NOT NULL
,	`type`	enum('mysql','postgresql','mssql') NOT NULL DEFAULT 'mysql'
,	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`db_server_id`	int(10) unsigned NOT NULL
,	`default_user_id`	int(10) unsigned
,	`external_id`	varchar(255)
,	INDEX `db_server_id` (`db_server_id`)
,	INDEX `dom_id` (`dom_id`)
,	PRIMARY KEY (`id`)
,	UNIQUE `name_and_db_server_id` (`name`,`db_server_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `DatabaseCustomHosts` (
	`id`	int(10) unsigned NOT NULL
,	`host`	varchar(255) NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `DatabaseServers` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`host`	varchar(63) NOT NULL
,	`port`	int(10) unsigned
,	`type`	enum('mysql','postgresql','mssql') NOT NULL DEFAULT 'mysql'
,	`server_version`	char(255)
,	`admin_login`	char(255) NOT NULL
,	`admin_password`	char(255) NOT NULL
,	`parameters_id`	int(10) unsigned
,	`last_error`	enum('no_error','connection_failed','permission_denied','other_error','credentials_not_set') NOT NULL DEFAULT 'no_error'
,	INDEX `host_port` (`host`,`port`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `DatabaseServers` (`last_error`,`admin_login`,`port`,`host`,`admin_password`,`type`,`id`,`server_version`) VALUES ('no_error','admin','3306','localhost','********','mysql','1','');
REPLACE INTO `DatabaseServers` (`last_error`,`admin_login`,`port`,`host`,`admin_password`,`type`,`id`,`server_version`) VALUES ('credentials_not_set','','5432','localhost','','postgresql','2','');

CREATE TABLE IF NOT EXISTS `db_users` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`login`	varchar(128) NOT NULL
,	`account_id`	int(10) unsigned NOT NULL
,	`db_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`status`	enum('normal','orphaned') NOT NULL DEFAULT 'normal'
,	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`db_server_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`passwd`	varchar(16) NOT NULL
,	`external_id`	varchar(255)
,	`role`	varchar(255) NOT NULL DEFAULT 'readWrite'
,	UNIQUE `db_server_id` (`db_server_id`,`db_id`,`login`)
,	PRIMARY KEY (`id`)
,	INDEX `account_id` (`account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `DatabaseUserRemoteAccessRules` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`ipAddress`	varchar(39) NOT NULL
,	`mask`	varchar(15) NOT NULL
,	`type`	enum('allow','deny') NOT NULL
,	`databaseUserId`	int(10) unsigned NOT NULL
,	`firewallRuleId`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `disk_usage` (
	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`httpdocs`	bigint(20) unsigned DEFAULT '0'
,	`httpsdocs`	bigint(20) unsigned DEFAULT '0'
,	`subdomains`	bigint(20) unsigned DEFAULT '0'
,	`web_users`	bigint(20) unsigned DEFAULT '0'
,	`anonftp`	bigint(20) unsigned DEFAULT '0'
,	`logs`	bigint(20) unsigned DEFAULT '0'
,	`mysql_dbases`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`mssql_dbases`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`mailboxes`	bigint(20) unsigned DEFAULT '0'
,	`webapps`	bigint(20) unsigned DEFAULT '0'
,	`maillists`	bigint(20) unsigned DEFAULT '0'
,	`domaindumps`	bigint(20) unsigned DEFAULT '0'
,	`www_root`	bigint(20) unsigned DEFAULT '0'
,	`dbases`	bigint(20) unsigned DEFAULT '0'
,	`configs`	bigint(20) unsigned DEFAULT '0'
,	`chroot`	bigint(20) unsigned DEFAULT '0'
,	PRIMARY KEY (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `dns_recs` (
	`time_stamp`	timestamp DEFAULT CURRENT_TIMESTAMP
,	`id`	int(10) unsigned NOT NULL auto_increment
,	`dns_zone_id`	int(10) unsigned
,	`type`	enum('NS','A','AAAA','CNAME','MX','PTR','TXT','SRV','DS','master','none') NOT NULL DEFAULT 'A'
,	`host`	varchar(255) NOT NULL
,	`displayHost`	varchar(255) NOT NULL
,	`val`	varchar(255) NOT NULL
,	`displayVal`	varchar(255) NOT NULL
,	`opt`	varchar(255) NOT NULL DEFAULT ''
,	`external_id`	varchar(255)
,	INDEX `dns_zone_id` (`dns_zone_id`)
,	INDEX `host` (`host`)
,	INDEX `type` (`type`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `dns_recs_t` (
	`time_stamp`	timestamp DEFAULT CURRENT_TIMESTAMP
,	`id`	int(10) unsigned NOT NULL auto_increment
,	`type`	enum('NS','A','AAAA','CNAME','MX','PTR','TXT','SRV') NOT NULL DEFAULT 'A'
,	`host`	varchar(255) NOT NULL
,	`displayHost`	varchar(255) NOT NULL
,	`val`	varchar(255) NOT NULL
,	`displayVal`	varchar(255) NOT NULL
,	`opt`	varchar(255) NOT NULL DEFAULT ''
,	`uid`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','ns1.<domain>.','ns1.<domain>.','<domain>.','<domain>.','NS','1');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ip>','<ip>','ns1.<domain>.','ns1.<domain>.','A','2');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ipv6>','<ipv6>','ns1.<domain>.','ns1.<domain>.','AAAA','3');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','ns2.<domain>.','ns2.<domain>.','<domain>.','<domain>.','NS','4');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ip>','<ip>','ns2.<domain>.','ns2.<domain>.','A','5');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ipv6>','<ipv6>','ns2.<domain>.','ns2.<domain>.','AAAA','6');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ip>','<ip>','<domain>.','<domain>.','A','7');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ipv6>','<ipv6>','<domain>.','<domain>.','AAAA','8');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ip>','<ip>','webmail.<domain>.','webmail.<domain>.','A','9');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ipv6>','<ipv6>','webmail.<domain>.','webmail.<domain>.','AAAA','10');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('10','mail.<domain>.','mail.<domain>.','<domain>.','<domain>.','MX','13');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ip>','<ip>','mail.<domain>.','mail.<domain>.','A','14');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ipv6>','<ipv6>','mail.<domain>.','mail.<domain>.','AAAA','15');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ip>','<ip>','ipv4.<domain>.','ipv4.<domain>.','A','16');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<ipv6>','<ipv6>','ipv6.<domain>.','ipv6.<domain>.','AAAA','17');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','<domain>.','<domain>.','ftp.<domain>.','ftp.<domain>.','CNAME','18');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','v=spf1 +a +mx +a:<hostname> -all','v=spf1 +a +mx +a:<hostname> -all','<domain>.','<domain>.','TXT','19');
REPLACE INTO `dns_recs_t` (`opt`,`val`,`displayVal`,`host`,`displayHost`,`type`,`id`) VALUES ('','v=DMARC1; p=none','v=DMARC1; p=none','_dmarc.<domain>.','_dmarc.<domain>.','TXT','20');

CREATE TABLE IF NOT EXISTS `dns_refs` (
	`uid`	varchar(255) NOT NULL
,	`zoneId`	int(10) unsigned NOT NULL
,	`zoneRecordId`	int(10) unsigned
,	`templateRecordId`	int(10) unsigned
,	`status`	enum('syn','mod','del') NOT NULL DEFAULT 'syn'
,	INDEX `templateRecordId` (`templateRecordId`)
,	PRIMARY KEY (`uid`)
,	INDEX `zoneRecordId` (`zoneRecordId`)
,	INDEX `zoneId` (`zoneId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `dns_zone` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`displayName`	varchar(255) NOT NULL
,	`email`	varchar(255)
,	`status`	int(10) unsigned NOT NULL DEFAULT '0'
,	`type`	enum('slave','master') NOT NULL DEFAULT 'master'
,	`ttl`	int(10) unsigned NOT NULL DEFAULT '86400'
,	`ttl_unit`	int(10) unsigned NOT NULL DEFAULT '1'
,	`refresh`	int(10) unsigned NOT NULL DEFAULT '10800'
,	`refresh_unit`	int(10) unsigned NOT NULL DEFAULT '1'
,	`retry`	int(10) unsigned NOT NULL DEFAULT '3600'
,	`retry_unit`	int(10) unsigned NOT NULL DEFAULT '1'
,	`expire`	int(10) unsigned NOT NULL DEFAULT '604800'
,	`expire_unit`	int(10) unsigned NOT NULL DEFAULT '1'
,	`minimum`	int(10) unsigned NOT NULL DEFAULT '10800'
,	`minimum_unit`	int(10) unsigned NOT NULL DEFAULT '1'
,	`serial_format`	enum('UNIXTIMESTAMP','YYYYMMDDNN') NOT NULL DEFAULT 'UNIXTIMESTAMP'
,	`serial`	varchar(12) NOT NULL DEFAULT '0'
,	`external_id`	varchar(255)
,	`syncSoa`	enum('true','false','skip') NOT NULL DEFAULT 'skip'
,	`syncRecords`	enum('true','false','skip') NOT NULL DEFAULT 'skip'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `dom_level_usrs` (
	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`state`	enum('false','true') NOT NULL DEFAULT 'false'
,	`passwd`	varchar(255) NOT NULL
,	`card_id`	int(10) unsigned
,	`uid`	varchar(255)
,	`ownership`	enum('false','true') NOT NULL DEFAULT 'true'
,	`account_id`	int(10) unsigned
,	`perm_id`	int(10) unsigned
,	INDEX `account_id` (`account_id`)
,	INDEX `card_id` (`card_id`)
,	PRIMARY KEY (`dom_id`)
,	INDEX `dom_id` (`dom_id`)
,	INDEX `perm_id` (`perm_id`)
,	INDEX `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `dom_param` (
	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`param`	varchar(245) NOT NULL
,	`val`	varchar(255)
,	PRIMARY KEY (`dom_id`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `domain_aliases` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`name`	varchar(255) NOT NULL
,	`displayName`	varchar(255) NOT NULL
,	`dns_zone_id`	int(10) unsigned
,	`status`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`mail`	enum('true','false') NOT NULL DEFAULT 'false'
,	`web`	enum('true','false') NOT NULL DEFAULT 'false'
,	`dns`	enum('true','false') NOT NULL DEFAULT 'false'
,	`tomcat`	enum('true','false') NOT NULL DEFAULT 'false'
,	`seoRedirect`	enum('false','true') NOT NULL DEFAULT 'false'
,	`external_id`	varchar(255)
,	`icpStatus`	int(1) NOT NULL DEFAULT '0'
,	`icpPermit`	varchar(255)
,	INDEX `dns_zone_id` (`dns_zone_id`)
,	INDEX `dom_id` (`dom_id`)
,	INDEX `displayName` (`displayName`)
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `DomainOutgoingMessagesPeaks` (
	`domainId`	int(10) unsigned NOT NULL
,	`beginDate`	datetime NOT NULL
,	`endDate`	datetime
,	`rejected`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`domainId`,`beginDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `DomainOutgoingMessagesStats` (
	`domainId`	int(10) unsigned NOT NULL
,	`collectDate`	datetime NOT NULL
,	`limitValue`	bigint(20) NOT NULL DEFAULT '-1'
,	`passed`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`rejected`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`domainId`,`collectDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `domains` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`cr_date`	date
,	`name`	varchar(255) NOT NULL
,	`displayName`	varchar(255) NOT NULL
,	`dns_zone_id`	int(10) unsigned
,	`status`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`htype`	enum('none','vrt_hst','std_fwd','frm_fwd') NOT NULL DEFAULT 'none'
,	`real_size`	bigint(20) unsigned DEFAULT '0'
,	`cl_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`cert_rep_id`	int(10) unsigned DEFAULT '0'
,	`limits_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`params_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`guid`	varchar(255) NOT NULL DEFAULT '00000000-0000-0000-0000-000000000000'
,	`overuse`	enum('false','true') NOT NULL DEFAULT 'false'
,	`vendor_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`webspace_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`parentDomainId`	int(10) unsigned NOT NULL DEFAULT '0'
,	`webspace_status`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`permissions_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`external_id`	varchar(255)
,	`adminDescription`	varchar(255)
,	`resellerDescription`	varchar(255)
,	`description`	varchar(255)
,	`gl_filter`	enum('on','off') NOT NULL DEFAULT 'on'
,	`icpStatus`	int(1) NOT NULL DEFAULT '0'
,	`icpPermit`	varchar(255)
,	INDEX `webspace_id` (`webspace_id`)
,	INDEX `displayName` (`displayName`)
,	UNIQUE `name` (`name`)
,	INDEX `dns_zone_id` (`dns_zone_id`)
,	INDEX `cl_id` (`cl_id`)
,	INDEX `vendor_id` (`vendor_id`)
,	PRIMARY KEY (`id`)
,	INDEX `cert_rep_id` (`cert_rep_id`)
,	INDEX `limits_id` (`limits_id`)
,	INDEX `params_id` (`params_id`)
,	INDEX `external_id` (`external_id`)
,	INDEX `permissions_id` (`permissions_id`)
,	INDEX `parentDomainId` (`parentDomainId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `DomainServices` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`type`	enum('mail','tomcat','maillists','web')
,	`status`	bigint(20) NOT NULL DEFAULT '0'
,	`parameters_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`ipCollectionId`	int(10) unsigned NOT NULL DEFAULT '0'
,	INDEX `parameters_id` (`parameters_id`)
,	INDEX `dom_id` (`dom_id`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `DomainsTraffic` (
	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`date`	date NOT NULL DEFAULT '0000-00-00'
,	`http_in`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`http_out`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`ftp_in`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`ftp_out`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`smtp_in`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`smtp_out`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`pop3_imap_in`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`pop3_imap_out`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`dom_id`,`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `dsn` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`dom_id`	int(10) unsigned
,	`serviceNodeId`	int(10) unsigned NOT NULL DEFAULT '1'
,	`name`	varchar(255) NOT NULL
,	`driver`	varchar(255) NOT NULL
,	`description`	varchar(255)
,	`configured`	enum('false','true') NOT NULL DEFAULT 'false'
,	`cstring`	text
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`,`serviceNodeId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `DynamicIpSecurity` (
	`dom_id`	int(10) unsigned NOT NULL
,	`isDenyByConcurrentRequests`	int(11) NOT NULL DEFAULT '0'
,	`maxConcurrentRequests`	int(10) unsigned NOT NULL DEFAULT '5'
,	`isDenyByRequestRate`	int(11) NOT NULL DEFAULT '0'
,	`maxRequests`	int(10) unsigned NOT NULL DEFAULT '20'
,	`requestInterval`	int(10) unsigned NOT NULL DEFAULT '200'
,	PRIMARY KEY (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `event_handlers` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`action_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`priority`	int(10) unsigned NOT NULL DEFAULT '0'
,	`user`	varchar(255) NOT NULL DEFAULT 'nobody'
,	`command`	text
,	PRIMARY KEY (`id`)
,	INDEX `action_id` (`action_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `exp_event` (
	`event_time`	timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
,	`id`	bigint(10) unsigned NOT NULL auto_increment
,	`source`	enum('pa','plesk')
,	`event_type`	enum('started','stopped','created','updated','deleted','status_changed','terminated','flushed','installed','uninstalled','siteapp_added','siteapp_removed','expired','exceeded','guid_changed') NOT NULL DEFAULT 'started'
,	`obj_class`	varchar(255) NOT NULL DEFAULT 'license'
,	`obj_id`	varchar(255) NOT NULL
,	`host`	varchar(255) NOT NULL
,	`user`	varchar(255) NOT NULL
,	`flushed`	enum('true','false') NOT NULL DEFAULT 'false'
,	INDEX `source` (`source`,`event_type`)
,	INDEX `flushed` (`flushed`)
,	INDEX `source_2` (`source`,`event_type`,`obj_class`)
,	PRIMARY KEY (`id`)
,	INDEX `source_3` (`source`,`event_time`,`event_type`,`obj_class`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ApiRpcCallsStat` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`Version`	varchar(7) NOT NULL
,	`Operator`	varchar(50) NOT NULL
,	`Command`	varchar(50) NOT NULL
,	`Session`	varchar(8) NOT NULL DEFAULT '0'
,	`FilterName`	varchar(50) NOT NULL DEFAULT '0'
,	`GroupOperation`	int(10) NOT NULL DEFAULT '0'
,	`LastExecutionDate`	datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
,	`Count`	int(10) unsigned NOT NULL DEFAULT '0'
,	UNIQUE `LogItem` (`Version`,`Operator`,`Command`,`Session`,`FilterName`,`GroupOperation`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `externalWebmails` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255)
,	`url`	varchar(255)
,	`enabled`	int(10) NOT NULL DEFAULT '0'
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `fileSharingUsers` (
	`id`	int(11) NOT NULL auto_increment
,	`userId`	int(11) NOT NULL
,	`login`	varchar(255) NOT NULL
,	`password`	varchar(255)
,	UNIQUE `login` (`login`)
,	UNIQUE `userId` (`userId`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `forwarding` (
	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`redirect`	varchar(255)
,	`http_code`	int(10) unsigned NOT NULL DEFAULT '301'
,	PRIMARY KEY (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ftp_users` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`sys_user_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`permission`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`external_id`	varchar(255)
,	UNIQUE `sys_user_id` (`sys_user_id`)
,	PRIMARY KEY (`id`)
,	INDEX `dom_id` (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `GL_remote_domains` (
	`serviceNodeId`	int(11) NOT NULL DEFAULT '1'
,	`domain`	varchar(255) NOT NULL
,	`type`	enum('black','white') NOT NULL DEFAULT 'black'
,	PRIMARY KEY (`serviceNodeId`,`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*google.com','white');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*yahoo.com','white');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*parallels.com','white');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*plesk.com','white');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*mail.ru','white');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*yandex.ru','white');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*rambler.ru','white');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*.office365.com','white');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*.outlook.office.com','white');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*.outlook.com','white');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('dynamic|static|ppp|dyn-ip|dial-up','black');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('dsl|broadband|hsd','black');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*[0-9][0-9].[0-9][0-9].[0-9][0-9]*','black');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*[0-9][0-9][0-9].[0-9][0-9][0-9].[0-9[0-9]][0-9]*','black');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*[0-9][0-9]-[0-9][0-9]-[0-9][0-9]*','black');
REPLACE INTO `GL_remote_domains` (`domain`,`type`) VALUES ('*[0-9][0-9][0-9]-[0-9][0-9][0-9]-[0-9][0-9][0-9]*','black');

CREATE TABLE IF NOT EXISTS `GL_settings` (
	`serviceNodeId`	int(11) NOT NULL DEFAULT '1'
,	`param`	varchar(255) NOT NULL
,	`value`	varchar(255) NOT NULL
,	PRIMARY KEY (`serviceNodeId`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `GL_settings` (`value`,`param`) VALUES ('5','greyInterval');
REPLACE INTO `GL_settings` (`value`,`param`) VALUES ('51840','expireInterval');
REPLACE INTO `GL_settings` (`value`,`param`) VALUES ('2','penaltyInterval');
REPLACE INTO `GL_settings` (`value`,`param`) VALUES ('false','penaltyEnabled');
REPLACE INTO `GL_settings` (`value`,`param`) VALUES ('false','enabled');

CREATE TABLE IF NOT EXISTS `hosting` (
	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`sys_user_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`real_traffic`	bigint(20) unsigned DEFAULT '0'
,	`ssi`	enum('false','true') NOT NULL DEFAULT 'false'
,	`ssi_html`	enum('false','true') NOT NULL DEFAULT 'false'
,	`php`	enum('false','true') NOT NULL DEFAULT 'false'
,	`php_isapi`	enum('false','true') NOT NULL DEFAULT 'false'
,	`php_handler_id`	varchar(255) NOT NULL DEFAULT 'fastcgi'
,	`cgi`	enum('false','true') NOT NULL DEFAULT 'false'
,	`perl`	enum('false','true') NOT NULL DEFAULT 'false'
,	`python`	enum('false','true') NOT NULL DEFAULT 'false'
,	`asp`	enum('false','true') NOT NULL DEFAULT 'false'
,	`asp_dot_net`	enum('false','true') NOT NULL DEFAULT 'false'
,	`managed_runtime_version`	varchar(255) NOT NULL DEFAULT ''
,	`ssl`	enum('false','true') NOT NULL DEFAULT 'false'
,	`webstat`	varchar(20) NOT NULL DEFAULT 'none'
,	`at_domains`	enum('false','true') NOT NULL DEFAULT 'false'
,	`write_modify`	varchar(255)
,	`www_root`	text NOT NULL
,	`webdeploy`	enum('false','true') NOT NULL DEFAULT 'false'
,	`certificate_id`	int(10) unsigned DEFAULT '0'
,	`traffic_bandwidth`	int(11) DEFAULT '-1'
,	`max_connection`	int(11) DEFAULT '-1'
,	`fastcgi`	enum('false','true') NOT NULL DEFAULT 'false'
,	`same_ssl`	enum('false','true') NOT NULL DEFAULT 'true'
,	`sslRedirect`	enum('true','false') NOT NULL DEFAULT 'false'
,	PRIMARY KEY (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `hotlink_friends` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`dom_id`	int(10) unsigned NOT NULL
,	`friend_dom`	varchar(255) NOT NULL
,	INDEX `dom_id` (`dom_id`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `hotlink_prot` (
	`dom_id`	int(10) unsigned NOT NULL
,	`enabled`	enum('false','true') NOT NULL DEFAULT 'false'
,	`extensions`	varchar(255) NOT NULL
,	PRIMARY KEY (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `IisAppPoolsPolicy` (
	`serviceNodeId`	int(10) unsigned NOT NULL DEFAULT '1'
,	`mode`	enum('shared','dedicated','mixed') NOT NULL DEFAULT 'mixed'
,	PRIMARY KEY (`serviceNodeId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `IisAppPoolsPolicy` (`mode`,`serviceNodeId`) VALUES ('mixed','1');

CREATE TABLE IF NOT EXISTS `IisAppPools` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`serviceNodeId`	int(10) unsigned NOT NULL DEFAULT '1'
,	`ownerType`	enum('client','domain') NOT NULL DEFAULT 'client'
,	`ownerId`	int(10) unsigned NOT NULL
,	`identity`	varchar(20) NOT NULL
,	`isStarted`	int(11) NOT NULL DEFAULT '1'
,	`cpuLimit`	int(11) NOT NULL DEFAULT '-1'
,	`cpuLimitAction`	enum('NoAction','KillW3wp','Throttle','ThrottleUnderLoad') NOT NULL DEFAULT 'NoAction'
,	`cpuLimitInterval`	int(10) unsigned NOT NULL DEFAULT '5'
,	`maxProcesses`	int(10) unsigned NOT NULL DEFAULT '1'
,	`idleTimeout`	int(10) unsigned NOT NULL DEFAULT '5'
,	`idleTimeoutAction`	enum('Terminate','Suspend') NOT NULL DEFAULT 'Terminate'
,	`recyclingByTime`	int(11) NOT NULL DEFAULT '1740'
,	`recyclingByRequests`	int(11) NOT NULL DEFAULT '-1'
,	`recyclingByVirtualMemory`	bigint(11) NOT NULL DEFAULT '-1'
,	`recyclingByPrivateMemory`	bigint(11) NOT NULL DEFAULT '-1'
,	`managedPipelineMode`	enum('Classic','Integrated') NOT NULL DEFAULT 'Integrated'
,	`externalId`	varchar(255)
,	UNIQUE `ownerId` (`serviceNodeId`,`ownerType`,`ownerId`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `IisAppPoolDomains` (
	`domainId`	int(10) unsigned NOT NULL
,	`poolId`	int(10) unsigned NOT NULL
,	PRIMARY KEY (`domainId`)
,	INDEX `poolId` (`poolId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `IP_Addresses` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`ip_address`	varchar(39) NOT NULL
,	`mask`	varchar(15) NOT NULL DEFAULT '255.255.255.0'
,	`iface`	varchar(255) NOT NULL
,	`ssl_certificate_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`default_domain_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`ftps`	enum('false','true') NOT NULL DEFAULT 'false'
,	`status`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`serviceNodeId`	int(10) unsigned NOT NULL DEFAULT '1'
,	`public_ip_address`	varchar(39)
,	`main`	enum('false','true') NOT NULL DEFAULT 'false'
,	INDEX `ssl_certificate_id` (`ssl_certificate_id`)
,	UNIQUE `ip_address` (`ip_address`)
,	PRIMARY KEY (`id`)
,	INDEX `default_domain_id` (`default_domain_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ip_pool` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`ip_address_id`	int(10) unsigned NOT NULL
,	`type`	enum('shared','exclusive') NOT NULL DEFAULT 'shared'
,	PRIMARY KEY (`id`,`ip_address_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `IpCollections` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `IpAddressesCollections` (
	`ipCollectionId`	int(10) unsigned NOT NULL
,	`ipAddressId`	int(10) unsigned NOT NULL
,	PRIMARY KEY (`ipCollectionId`,`ipAddressId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `key_history` (
	`register_date`	timestamp DEFAULT CURRENT_TIMESTAMP
,	`id`	int(10) unsigned NOT NULL auto_increment
,	`plesk_key_id`	varchar(63)
,	`name`	varchar(255)
,	`filename`	varchar(255)
,	`update_disabled`	enum('false','true') NOT NULL DEFAULT 'false'
,	`options`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `key_history_params` (
	`key_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`param`	varchar(63) NOT NULL
,	`val`	varchar(255)
,	PRIMARY KEY (`key_id`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Limits` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`limit_name`	varchar(255) NOT NULL
,	`value`	bigint(20)
,	PRIMARY KEY (`id`,`limit_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `LimitsReservation` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`collectionRef`	varchar(128) NOT NULL
,	`limitName`	varchar(255) NOT NULL
,	`value`	bigint(20)
,	`expiration`	datetime NOT NULL
,	PRIMARY KEY (`id`)
,	INDEX `collection` (`collectionRef`,`limitName`)
,	INDEX `expiration` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `locales` (
	`id`	varchar(17) NOT NULL
,	`active`	enum('false','true') NOT NULL DEFAULT 'true'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `locales` (`active`,`id`) VALUES ('true','en-US');

CREATE TABLE IF NOT EXISTS `log_actions` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`date`	datetime
,	`ip_address`	varchar(39) NOT NULL
,	`user`	varchar(255) NOT NULL
,	`action_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`object_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`id`)
,	INDEX `action_id` (`action_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `log_components` (
	`action_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`component`	varchar(255) NOT NULL
,	`old_value`	varchar(255) NOT NULL
,	`new_value`	varchar(255) NOT NULL
,	PRIMARY KEY (`action_id`,`component`)
,	INDEX `action_id` (`action_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `log_rotation` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`period_type`	enum('by_time','by_size') NOT NULL DEFAULT 'by_time'
,	`period`	varchar(50)
,	`max_number_of_logfiles`	bigint(20) unsigned DEFAULT '0'
,	`compress_enable`	enum('false','true') NOT NULL DEFAULT 'false'
,	`email`	varchar(255)
,	`turned_on`	enum('false','true') NOT NULL DEFAULT 'false'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Logos` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255)
,	`fake`	varchar(255)
,	`url`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `longtasks` (
	`startTime`	timestamp DEFAULT CURRENT_TIMESTAMP
,	`id`	int(10) unsigned NOT NULL auto_increment
,	`type`	varchar(255) NOT NULL
,	`status`	varchar(255) NOT NULL DEFAULT 'not_started'
,	`statusProcessed`	int(10) unsigned NOT NULL DEFAULT '0'
,	`context`	varchar(255)
,	`progressStatus`	varchar(255) NOT NULL DEFAULT 'queue'
,	`progressParams`	blob
,	`progressMax`	int(10) unsigned NOT NULL DEFAULT '1'
,	`progressValue`	int(10) unsigned NOT NULL DEFAULT '0'
,	`finishTime`	timestamp
,	`pid`	int(10) unsigned NOT NULL DEFAULT '0'
,	`externalId`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `longtaskparams` (
	`task_id`	int(10) unsigned NOT NULL
,	`param`	varchar(255) NOT NULL
,	`val`	mediumtext
,	PRIMARY KEY (`task_id`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `mail` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`userId`	int(10) unsigned
,	`mail_name`	varchar(245) NOT NULL
,	`postbox`	enum('false','true') NOT NULL DEFAULT 'false'
,	`account_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`redirect`	enum('false','true') NOT NULL DEFAULT 'false'
,	`redir_addr`	varchar(255)
,	`mail_group`	enum('false','true') NOT NULL DEFAULT 'false'
,	`autoresponder`	enum('false','true') NOT NULL DEFAULT 'false'
,	`mbox_quota`	bigint(20) NOT NULL DEFAULT '-1'
,	`description`	varchar(255)
,	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`disk_usage`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`apsServiceAccountInstanceId`	int(10) unsigned NOT NULL DEFAULT '0'
,	`perm_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`apsAntispamServiceInstanceId`	int(10) unsigned NOT NULL DEFAULT '0'
,	`apsAntivirusServiceInstanceId`	int(10) unsigned NOT NULL DEFAULT '0'
,	`spamfilter`	enum('false','true') NOT NULL DEFAULT 'true'
,	`virusfilter`	enum('none','incoming','outgoing','any') NOT NULL DEFAULT 'none'
,	INDEX `perm_id` (`perm_id`)
,	UNIQUE `dom_id` (`dom_id`,`mail_name`)
,	PRIMARY KEY (`id`)
,	INDEX `account_id` (`account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `mail_aliases` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`mn_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`alias`	varchar(245) NOT NULL
,	`apsServiceInstanceId`	int(10) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`id`)
,	UNIQUE `mn_id` (`mn_id`,`alias`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `mail_redir` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`mn_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`address`	varchar(245) NOT NULL
,	`apsServiceInstanceId`	int(10) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `mail_resp` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`mn_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`resp_name`	varchar(245) NOT NULL
,	`keystr`	varchar(255)
,	`key_where`	enum('subj','body','no') NOT NULL DEFAULT 'no'
,	`subject`	varchar(255)
,	`reply_to`	varchar(255)
,	`text`	mediumtext
,	`resp_on`	enum('false','true') NOT NULL DEFAULT 'false'
,	`ans_freq`	int(11) DEFAULT '10'
,	`mem_limit`	int(11) DEFAULT '1000'
,	`content_type`	varchar(245) NOT NULL DEFAULT 'text/plain'
,	`charset`	varchar(245) NOT NULL DEFAULT 'UTF-8'
,	`apsServiceInstanceId`	int(10) unsigned NOT NULL DEFAULT '0'
,	`endDate`	date
,	INDEX `mn_id_resp_name` (`mn_id`,`resp_name`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `MailLists` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`name`	varchar(255) NOT NULL
,	`status`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	INDEX `dom_id` (`dom_id`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `MailMessagesStat` (
	`date`	date NOT NULL DEFAULT '0000-00-00'
,	`sent`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `MailOutgoingMessagesPeaks` (
	`mailId`	int(10) unsigned NOT NULL
,	`beginDate`	datetime NOT NULL
,	`endDate`	datetime
,	`rejected`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`mailId`,`beginDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `MailOutgoingMessagesStats` (
	`mailId`	int(10) unsigned NOT NULL
,	`collectDate`	datetime NOT NULL
,	`limitValue`	bigint(20) NOT NULL DEFAULT '-1'
,	`passed`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`rejected`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`mailId`,`collectDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `mass_mail` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`from_email`	varchar(255) NOT NULL
,	`to_admin`	enum('false','true') NOT NULL DEFAULT 'false'
,	`to_resellers`	enum('false','true') NOT NULL DEFAULT 'false'
,	`to_resellers_mode`	enum('all','select','except') NOT NULL DEFAULT 'all'
,	`to_clients`	enum('false','true') NOT NULL DEFAULT 'false'
,	`to_clients_mode`	enum('all','select','except') NOT NULL DEFAULT 'all'
,	`to_domains`	enum('false','true') NOT NULL DEFAULT 'false'
,	`to_domains_mode`	enum('all','select','except') NOT NULL DEFAULT 'all'
,	`subject`	varchar(255) NOT NULL
,	`body`	text NOT NULL
,	`cdate`	date
,	PRIMARY KEY (`id`)
,	INDEX `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `mass_mail_clients` (
	`mm_id`	int(10) unsigned NOT NULL
,	`cl_id`	int(10) unsigned NOT NULL
,	UNIQUE `mm_cl` (`mm_id`,`cl_id`)
,	INDEX `cl_id` (`cl_id`)
,	INDEX `mm_id` (`mm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `mass_mail_domains` (
	`mm_id`	int(10) unsigned NOT NULL
,	`dom_id`	int(10) unsigned NOT NULL
,	INDEX `dom_id` (`dom_id`)
,	UNIQUE `mm_dom` (`mm_id`,`dom_id`)
,	INDEX `mm_id` (`mm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `misc` (
	`param`	varchar(255) NOT NULL
,	`val`	varchar(2000)
,	PRIMARY KEY (`param`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `misc` (`val`,`param`) VALUES ('30','actionlog_rot_num_periods');
REPLACE INTO `misc` (`val`,`param`) VALUES ('3000','actionlog_rot_num_records');
REPLACE INTO `misc` (`val`,`param`) VALUES ('day','actionlog_rot_period');
REPLACE INTO `misc` (`val`,`param`) VALUES ('by_period','actionlog_rot_type');
REPLACE INTO `misc` (`val`,`param`) VALUES ('disabled','allow_short_pop3_names');
REPLACE INTO `misc` (`val`,`param`) VALUES ('1','def_skin_id');
REPLACE INTO `misc` (`val`,`param`) VALUES ('localnets','dns_recursion');
REPLACE INTO `misc` (`val`,`param`) VALUES ('true','include_domaindumps');
REPLACE INTO `misc` (`val`,`param`) VALUES ('true','include_logs');
REPLACE INTO `misc` (`val`,`param`) VALUES ('true','include_mailboxes');
REPLACE INTO `misc` (`val`,`param`) VALUES ('true','include_maillists');
REPLACE INTO `misc` (`val`,`param`) VALUES ('true','include_remote_databases');
REPLACE INTO `misc` (`val`,`param`) VALUES ('true','include_webapps');
REPLACE INTO `misc` (`val`,`param`) VALUES ('30','login_timeout');
REPLACE INTO `misc` (`val`,`param`) VALUES ('true','multiply_login');
REPLACE INTO `misc` (`val`,`param`) VALUES ('0','restart_apache_interval');
REPLACE INTO `misc` (`val`,`param`) VALUES ('true','secure_passwords');
REPLACE INTO `misc` (`val`,`param`) VALUES ('1','admin_skin_id');
REPLACE INTO `misc` (`val`,`param`) VALUES ('true','include_databases');
REPLACE INTO `misc` (`val`,`param`) VALUES ('block','size_count_type');
REPLACE INTO `misc` (`val`,`param`) VALUES ('true','admin_password_encrypted');
REPLACE INTO `misc` (`val`,`param`) VALUES ('1','default_server_mysql');
REPLACE INTO `misc` (`val`,`param`) VALUES ('2','default_server_postgresql');
REPLACE INTO `misc` (`val`,`param`) VALUES ('YYYYMMDDNN','soa_serial_format');
REPLACE INTO `misc` (`val`,`param`) VALUES ('10','max_bu_proc_number');
REPLACE INTO `misc` (`val`,`param`) VALUES ('list_only','backup_suggest_encrypt_backups');

CREATE TABLE IF NOT EXISTS `mn_param` (
	`mn_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`param`	varchar(245) NOT NULL
,	`val`	varchar(255)
,	PRIMARY KEY (`mn_id`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Modules` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`packname`	varchar(255) NOT NULL
,	`display_name`	varchar(255) NOT NULL
,	`version`	varchar(30) NOT NULL
,	`release`	int(10) unsigned NOT NULL
,	`description`	varchar(255)
,	`icon`	varchar(255) NOT NULL
,	`plesk_max_version`	varchar(30)
,	`status`	enum('true','false') NOT NULL DEFAULT 'true'
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ModuleSettings` (
	`module_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`name`	varchar(255) NOT NULL
,	`value`	varchar(2000) NOT NULL
,	PRIMARY KEY (`module_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Notes` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`text`	text NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Notifications` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`status`	varchar(1) NOT NULL
,	`send2admin`	varchar(1) NOT NULL
,	`send2reseller`	varchar(1)
,	`send2client`	varchar(1) NOT NULL
,	`send2dlu`	varchar(1) NOT NULL
,	`send2email`	varchar(1) NOT NULL
,	`email`	varchar(255) NOT NULL
,	`subj`	varchar(255) NOT NULL
,	`note_id`	int(10) unsigned
,	INDEX `note_id` (`note_id`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PackageUpdateLocks` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`serviceNodeId`	int(10) unsigned NOT NULL
,	`package`	varchar(255) NOT NULL
,	UNIQUE `package` (`serviceNodeId`,`package`)
,	PRIMARY KEY (`id`)
,	INDEX `serviceNodeId` (`serviceNodeId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PackageUpdateNotifications` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`serviceNodeId`	int(10) unsigned NOT NULL
,	`eventDate`	datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
,	`notificationSent`	int(1) NOT NULL DEFAULT '0'
,	`data`	mediumtext
,	UNIQUE `eventDate` (`serviceNodeId`,`eventDate`)
,	INDEX `notificationSent` (`notificationSent`)
,	PRIMARY KEY (`id`)
,	INDEX `serviceNodeId` (`serviceNodeId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Parameters` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`parameter`	varchar(255) NOT NULL
,	`value`	varchar(255)
,	PRIMARY KEY (`id`,`parameter`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `password_secrets` (
	`secret`	varchar(255) NOT NULL
,	`type`	int(10) unsigned NOT NULL
,	`id`	int(10) unsigned NOT NULL
,	`created`	datetime NOT NULL
,	PRIMARY KEY (`secret`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `pd_users` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`login`	varchar(20) NOT NULL
,	`account_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`pd_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	UNIQUE `pd_id` (`pd_id`,`login`)
,	PRIMARY KEY (`id`)
,	INDEX `account_id` (`account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Permissions` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`permission`	varchar(255) NOT NULL
,	`value`	varchar(255)
,	PRIMARY KEY (`id`,`permission`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PhpSettingsCustom` (
	`id`	int(10) unsigned NOT NULL
,	`value`	text
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PlansSubscriptions` (
	`subscription_id`	int(10) unsigned NOT NULL
,	`plan_id`	int(10) unsigned NOT NULL
,	`quantity`	int(10) unsigned NOT NULL DEFAULT '1'
,	PRIMARY KEY (`subscription_id`,`plan_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ScheduledTasks` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`hash`	varchar(255) NOT NULL
,	`serviceNodeId`	int(10) unsigned NOT NULL
,	`sysUserId`	int(10) unsigned
,	`sysUserLogin`	varchar(255)
,	`isActive`	int(1) NOT NULL DEFAULT '0'
,	`type`	enum('exec','http','php') NOT NULL DEFAULT 'exec'
,	`phpHandlerId`	varchar(255)
,	`command`	text NOT NULL
,	`arguments`	text
,	`description`	text
,	`notify`	enum('ignore','errors','always') NOT NULL DEFAULT 'ignore'
,	`emailType`	enum('default','owner','custom') NOT NULL DEFAULT 'owner'
,	`email`	text
,	`minute`	varchar(255) NOT NULL
,	`hour`	varchar(255) NOT NULL
,	`dayOfMonth`	varchar(255) NOT NULL
,	`month`	varchar(255) NOT NULL
,	`dayOfWeek`	varchar(255) NOT NULL
,	`period`	int(11) unsigned NOT NULL DEFAULT '0'
,	INDEX `sysUserId` (`sysUserId`)
,	PRIMARY KEY (`id`)
,	INDEX `serviceNodeId` (`serviceNodeId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `SchemaVersions` (
	`version`	varchar(14) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `SchemaVersions` (`version`) VALUES ('20161103054554');

CREATE TABLE IF NOT EXISTS `Subscriptions` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`object_id`	int(10) unsigned NOT NULL
,	`object_type`	enum('client','domain') NOT NULL
,	`locked`	enum('false','true') NOT NULL DEFAULT 'false'
,	`synchronized`	enum('false','true') NOT NULL DEFAULT 'true'
,	`custom`	enum('false','true') NOT NULL DEFAULT 'false'
,	`uuid`	varchar(36)
,	`external_id`	varchar(255)
,	UNIQUE `object_id_and_type` (`object_id`,`object_type`)
,	PRIMARY KEY (`id`)
,	UNIQUE `uuid` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `SubscriptionOutgoingMessagesPeaks` (
	`subscriptionId`	int(10) unsigned NOT NULL
,	`beginDate`	datetime NOT NULL
,	`endDate`	datetime
,	`rejected`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`subscriptionId`,`beginDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `SubscriptionOutgoingMessagesStats` (
	`subscriptionId`	int(10) unsigned NOT NULL
,	`collectDate`	datetime NOT NULL
,	`limitValue`	bigint(20) NOT NULL DEFAULT '-1'
,	`passed`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`rejected`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`subscriptionId`,`collectDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `SubscriptionProperties` (
	`subscription_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`name`	varchar(255) NOT NULL
,	`value`	varchar(255) NOT NULL
,	PRIMARY KEY (`subscription_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PhpSettings` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`noteId`	int(10) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PhpSettingsParameters` (
	`id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`name`	varchar(255) NOT NULL
,	`value`	text
,	PRIMARY KEY (`id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PlanItems` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`classname`	varchar(255) NOT NULL
,	`name`	varchar(255) NOT NULL
,	`isVisible`	int(10) unsigned NOT NULL DEFAULT '1'
,	`applicableToSubscription`	int(10) unsigned NOT NULL DEFAULT '0'
,	`applicableToEmail`	int(10) unsigned NOT NULL DEFAULT '0'
,	`applicableToSite`	int(10) unsigned NOT NULL DEFAULT '0'
,	`uuid`	varchar(36) NOT NULL
,	UNIQUE `uuid` (`uuid`)
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PlanItemProperties` (
	`plan_item_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`name`	varchar(255) NOT NULL
,	`value`	varchar(255) NOT NULL
,	PRIMARY KEY (`plan_item_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PleskPagesStat` (
	`date`	date NOT NULL DEFAULT '0000-00-00'
,	`url`	varchar(255) NOT NULL
,	`hits`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`date`,`url`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PleskStats` (
	`param`	varchar(255) NOT NULL
,	`value`	blob
,	PRIMARY KEY (`param`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `protected_dirs` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`non_ssl`	enum('false','true') NOT NULL DEFAULT 'false'
,	`ssl`	enum('false','true') NOT NULL DEFAULT 'false'
,	`realm`	varchar(255)
,	`path`	varchar(245) NOT NULL
,	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`dom_type`	enum('domain','subdomain') NOT NULL DEFAULT 'domain'
,	`cgi_bin`	enum('false','true') NOT NULL DEFAULT 'false'
,	UNIQUE `dom_id` (`dom_id`,`path`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `report` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`type`	int(10) unsigned NOT NULL DEFAULT '0'
,	`user_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`user_type`	int(10) unsigned NOT NULL DEFAULT '0'
,	`name`	varchar(255)
,	`is_default`	enum('false','true') NOT NULL DEFAULT 'false'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `report_auto` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`report_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`auto`	int(10) unsigned NOT NULL DEFAULT '0'
,	`last`	datetime
,	`recipient`	int(10) unsigned NOT NULL DEFAULT '0'
,	`email`	varchar(254) NOT NULL
,	`client`	int(10) unsigned DEFAULT '0'
,	`domain`	int(10) unsigned DEFAULT '0'
,	INDEX `domain` (`domain`)
,	INDEX `client` (`client`)
,	PRIMARY KEY (`id`)
,	INDEX `report_id` (`report_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `report_section` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`report_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`name`	varchar(255) NOT NULL
,	`type`	enum('none','summary','full') NOT NULL DEFAULT 'summary'
,	PRIMARY KEY (`id`)
,	INDEX `report_id` (`report_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Repository` (
	`rep_id`	int(10) unsigned NOT NULL auto_increment
,	`component_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`rep_id`,`component_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `resp_attach` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`rn_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`filename`	varchar(245) NOT NULL
,	PRIMARY KEY (`id`)
,	UNIQUE `rn_id` (`rn_id`,`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `resp_forward` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`rn_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`address`	varchar(245) NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `resp_freq` (
	`time_resp`	timestamp DEFAULT CURRENT_TIMESTAMP
,	`id`	int(10) unsigned NOT NULL auto_increment
,	`rn_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`email`	varchar(245) NOT NULL
,	`num`	int(11) DEFAULT '0'
,	PRIMARY KEY (`id`)
,	UNIQUE `rn_id` (`rn_id`,`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `RestrictedDomains` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('1','facebook.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('2','google.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('3','youtube.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('4','yahoo.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('5','baidu.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('6','wikipedia.org');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('7','live.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('8','amazon.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('9','qq.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('10','twitter.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('11','taobao.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('12','blogspot.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('13','google.co.in');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('14','linkedin.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('15','yahoo.co.jp');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('16','sina.com.cn');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('17','msn.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('18','yandex.ru');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('19','ebay.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('20','google.co.jp');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('21','google.de');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('22','wordpress.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('23','bing.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('24','google.com.hk');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('25','vk.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('26','google.co.uk');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('27','google.fr');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('28','babylon.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('29','163.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('30','weibo.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('31','microsoft.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('32','tumblr.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('33','googleusercontent.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('34','mail.ru');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('35','pinterest.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('36','apple.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('37','google.com.br');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('38','soso.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('39','paypal.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('40','google.ru');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('41','google.es');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('42','google.it');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('43','xhamster.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('44','tmall.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('45','fc2.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('46','blogger.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('47','imdb.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('48','craigslist.org');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('49','xvideos.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('50','ask.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('51','sohu.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('52','hao123.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('53','conduit.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('54','bbc.co.uk');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('55','go.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('56','amazon.co.jp');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('57','google.com.mx');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('58','odnoklassniki.ru');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('59','google.ca');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('60','youku.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('61','livejasmin.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('62','amazon.de');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('63','adobe.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('64','flickr.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('65','avg.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('66','ifeng.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('67','t.co');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('68','pornhub.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('69','aol.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('70','rakuten.co.jp');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('71','cnn.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('72','thepiratebay.sx');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('73','mywebsearch.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('74','ebay.de');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('75','amazon.co.uk');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('76','adf.ly');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('77','alibaba.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('78','espn.go.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('79','blogspot.in');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('80','google.com.tr');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('81','redtube.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('82','google.co.id');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('83','instagram.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('84','huffingtonpost.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('85','alipay.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('86','about.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('87','stackoverflow.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('88','sogou.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('89','google.com.au');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('90','livedoor.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('91','360buy.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('92','ebay.co.uk');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('93','netflix.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('94','dailymotion.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('95','imgur.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('96','zedo.com');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('97','google.pl');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('98','uol.com.br');
REPLACE INTO `RestrictedDomains` (`id`,`name`) VALUES ('99','360.cn');

CREATE TABLE IF NOT EXISTS `SBConfig` (
	`param_name`	varchar(255)
,	`param_value`	varchar(255)
,	UNIQUE `param_name` (`param_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `SBResellers` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`client_id`	int(10) unsigned NOT NULL
,	`sb_client_login`	varchar(255) NOT NULL
,	`sb_reseller_id`	varchar(255) NOT NULL
,	UNIQUE `sb_client_login` (`sb_client_login`)
,	UNIQUE `sb_reseller_id` (`sb_reseller_id`)
,	PRIMARY KEY (`id`)
,	UNIQUE `client_id` (`client_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `secret_keys` (
	`key_id`	varchar(255) NOT NULL
,	`ip_address`	varchar(39) NOT NULL
,	`description`	varchar(255) NOT NULL
,	`client_id`	int(10) unsigned
,	`lookup_id`	varchar(255)
,	INDEX `key_id` (`key_id`)
,	INDEX `lookup_id` (`lookup_id`)
,	INDEX `client_id` (`client_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ServiceNodeCache` (
	`serviceNodeId`	int(10) unsigned NOT NULL
,	`pathId`	varchar(255) NOT NULL
,	`path`	text
,	`cache`	text
,	PRIMARY KEY (`serviceNodeId`,`pathId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ServiceNodeCertificates` (
	`serviceNodeId`	int(10) unsigned NOT NULL
,	`certificateId`	int(10) unsigned NOT NULL
,	`certFile`	varchar(255)
,	`caFile`	varchar(255)
,	PRIMARY KEY (`serviceNodeId`,`certificateId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ServiceNodeEnvironment` (
	`serviceNodeId`	int(10) unsigned NOT NULL
,	`section`	varchar(255) NOT NULL
,	`name`	varchar(255) NOT NULL
,	`value`	text
,	PRIMARY KEY (`serviceNodeId`,`section`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ServiceNodeConfiguration` (
	`serviceNodeId`	int(10) unsigned NOT NULL
,	`section`	varchar(255) NOT NULL
,	`name`	varchar(255) NOT NULL
,	`value`	text
,	PRIMARY KEY (`serviceNodeId`,`section`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','poplock_time','20','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','relay','auth','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','disable_pop_auth','1','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','disable_smtp_auth','0','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','outgoing_messages_mbox_limit','10','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','outgoing_messages_domain_limit','50','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','outgoing_messages_subscription_limit','100','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','outgoing_messages_report_period','P1W','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','outgoing_messages_notification_period','PT1H','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','outgoing_messages_filter_enabled','false','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','outgoing_messages_enable_sendmail','true','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','outgoing_email_mode','domain-ip','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','spamfilter_enabled','true','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','spamfilter_use_mailuser_prefs','true','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','spamfilter_max_children','5','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('mailServer','virusfilter','drweb','1');
REPLACE INTO `ServiceNodeConfiguration` (`section`,`name`,`value`,`serviceNodeId`) VALUES ('dnsConnector','plesk','true','1');

CREATE TABLE IF NOT EXISTS `ServiceNodes` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`ipAddress`	varchar(255) NOT NULL DEFAULT 'local'
,	`description`	varchar(255) NOT NULL
,	`type`	varchar(255) NOT NULL DEFAULT 'plesk'
,	`accessKey`	text
,	`externalId`	varchar(255)
,	UNIQUE `ipAddress` (`ipAddress`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `ServiceNodes` (`ipAddress`,`id`,`description`) VALUES ('local','1','Local');

CREATE TABLE IF NOT EXISTS `ServiceInstallations` (
	`id`	int(11) unsigned NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`status`	int(11) unsigned NOT NULL DEFAULT '0'
,	`serviceNodeId`	int(11) unsigned NOT NULL
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`,`serviceNodeId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `ServiceInstallations` (`status`,`serviceNodeId`,`id`,`name`) VALUES ('1','1','1','PleskDns');
REPLACE INTO `ServiceInstallations` (`status`,`serviceNodeId`,`id`,`name`) VALUES ('1','1','2','PleskFileSystem');

CREATE TABLE IF NOT EXISTS `ServiceInstallationProperties` (
	`serviceInstallationId`	int(11) unsigned NOT NULL
,	`name`	varchar(255) NOT NULL
,	`value`	text
,	PRIMARY KEY (`serviceInstallationId`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PlanServiceInstallations` (
	`id`	int(11) unsigned NOT NULL auto_increment
,	`planId`	int(11) unsigned NOT NULL
,	`serviceInstallationId`	int(11) unsigned NOT NULL
,	`assigned`	int(11) unsigned NOT NULL DEFAULT '1'
,	PRIMARY KEY (`id`,`planId`,`serviceInstallationId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PlanServiceProperties` (
	`planServiceId`	int(11) unsigned NOT NULL
,	`name`	varchar(255) NOT NULL
,	`value`	text
,	PRIMARY KEY (`planServiceId`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ServiceInstanceProperties` (
	`serviceInstanceId`	int(11) unsigned NOT NULL
,	`name`	varchar(255) NOT NULL
,	`value`	text
,	PRIMARY KEY (`serviceInstanceId`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ServiceInstanceResources` (
	`serviceInstanceId`	int(11) unsigned NOT NULL
,	`serviceResourceType`	varchar(255) NOT NULL
,	`serviceResourceId`	int(11) unsigned NOT NULL
,	`reference`	varchar(255) NOT NULL
,	PRIMARY KEY (`serviceInstanceId`,`serviceResourceType`,`serviceResourceId`,`reference`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ServiceLimits` (
	`limitName`	varchar(255) NOT NULL
,	`serviceName`	varchar(255) NOT NULL
,	PRIMARY KEY (`limitName`,`serviceName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ServicePermissions` (
	`permissionName`	varchar(255) NOT NULL
,	`serviceName`	varchar(255) NOT NULL
,	PRIMARY KEY (`permissionName`,`serviceName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ServiceInstances` (
	`id`	int(11) unsigned NOT NULL auto_increment
,	`serviceInstallationId`	int(11) unsigned NOT NULL
,	`servicePackageId`	int(11) unsigned NOT NULL
,	`reference`	varchar(255)
,	`status`	int(11) unsigned NOT NULL DEFAULT '1'
,	`enabled`	int(11) unsigned NOT NULL DEFAULT '1'
,	PRIMARY KEY (`id`)
,	UNIQUE `reference` (`serviceInstallationId`,`servicePackageId`,`reference`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `ServiceInstanceDepends` (
	`serviceInstanceId`	int(11) unsigned NOT NULL
,	`requiredInstanceId`	int(11) unsigned NOT NULL
,	`apiType`	varchar(255) NOT NULL
,	PRIMARY KEY (`serviceInstanceId`,`requiredInstanceId`,`apiType`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `sessions` (
	`sess_id`	varchar(33) NOT NULL
,	`type`	smallint(5) unsigned NOT NULL DEFAULT '0'
,	`login`	varchar(255)
,	`ip_address`	varchar(39)
,	`ip_dual_stack`	varchar(39)
,	`login_time`	int(10) unsigned
,	`modified`	int(10) unsigned
,	`lifetime`	int(10) unsigned
,	PRIMARY KEY (`sess_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `SessionContexts` (
	`contextId`	varchar(255) NOT NULL
,	`sessionId`	varchar(33)
,	`data`	mediumtext
,	INDEX `sessionId` (`sessionId`)
,	PRIMARY KEY (`contextId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `SiteAppsHitsStat` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`count`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `SitePagesStat` (
	`date`	date NOT NULL DEFAULT '0000-00-00'
,	`hits`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	PRIMARY KEY (`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Skins` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`place`	varchar(255) NOT NULL
,	INDEX `place` (`place`)
,	PRIMARY KEY (`id`)
,	INDEX `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `Skins` (`place`,`id`,`name`) VALUES ('default','1','Default');

CREATE TABLE IF NOT EXISTS `smtp_poplocks` (
	`ip_address`	varchar(39) NOT NULL
,	`ip_mask`	int(10) unsigned NOT NULL DEFAULT '32'
,	`lock_time`	datetime
,	`serviceNodeId`	int(10) unsigned NOT NULL DEFAULT '1'
,	INDEX `ip_address` (`ip_address`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `spamfilter` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`username`	varchar(128) NOT NULL
,	`serviceNodeId`	int(10) unsigned NOT NULL DEFAULT '1'
,	`preferences`	enum('false','true') NOT NULL DEFAULT 'false'
,	UNIQUE `spamfilter_username_serviceNodeId` (`username`,`serviceNodeId`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `spamfilter` (`username`,`id`,`preferences`) VALUES ('*@*','1','true');

CREATE TABLE IF NOT EXISTS `spamfilter_preferences` (
	`prefid`	int(10) unsigned NOT NULL auto_increment
,	`spamfilter_id`	int(10) unsigned NOT NULL
,	`preference`	varchar(30) NOT NULL
,	`value`	varchar(255) NOT NULL
,	PRIMARY KEY (`prefid`)
,	INDEX `spamfilter_id` (`spamfilter_id`,`preference`,`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `spamfilter_preferences` (`value`,`preference`,`spamfilter_id`) VALUES ('7.00','required_score','1');
REPLACE INTO `spamfilter_preferences` (`value`,`preference`,`spamfilter_id`) VALUES ('subject *****SPAM*****','rewrite_header','1');

CREATE TABLE IF NOT EXISTS `SSOBranding` (
	`idp_url`	varchar(255) NOT NULL
,	`http_request_domain`	varchar(255) NOT NULL
,	PRIMARY KEY (`http_request_domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `stat` (
	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`date`	date NOT NULL DEFAULT '0000-00-00'
,	`transfer`	bigint(20) unsigned
,	PRIMARY KEY (`dom_id`,`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `subdomains` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`name`	varchar(255) NOT NULL
,	`displayName`	varchar(255) NOT NULL
,	`sys_user_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`ssi`	enum('false','true') NOT NULL DEFAULT 'false'
,	`php`	enum('false','true') NOT NULL DEFAULT 'false'
,	`php_handler_type`	enum('cgi','fastcgi','module','isapi') NOT NULL DEFAULT 'module'
,	`cgi`	enum('false','true') NOT NULL DEFAULT 'false'
,	`perl`	enum('false','true') NOT NULL DEFAULT 'false'
,	`python`	enum('false','true') NOT NULL DEFAULT 'false'
,	`coldfusion`	enum('false','true') NOT NULL DEFAULT 'false'
,	`asp`	enum('false','true') NOT NULL DEFAULT 'false'
,	`asp_dot_net`	enum('false','true') NOT NULL DEFAULT 'false'
,	`ssl`	enum('false','true') NOT NULL DEFAULT 'false'
,	`www_root`	varchar(255) NOT NULL DEFAULT 'httpdocs'
,	`maintenance_mode`	enum('false','true') NOT NULL DEFAULT 'false'
,	`certificate_id`	int(10) unsigned DEFAULT '0'
,	`fastcgi`	enum('false','true') NOT NULL DEFAULT 'false'
,	`same_ssl`	enum('false','true') NOT NULL DEFAULT 'true'
,	INDEX `sys_user_id` (`sys_user_id`)
,	UNIQUE `dom_id` (`dom_id`,`name`)
,	INDEX `dom_id_displayName` (`dom_id`,`displayName`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `suspend_handler_history` (
	`dom_id`	int(10) unsigned NOT NULL
,	`session_id`	varchar(255)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `sys_users` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`serviceNodeId`	int(10) unsigned NOT NULL DEFAULT '0'
,	`login`	varchar(20) NOT NULL
,	`account_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`home`	varchar(255) NOT NULL
,	`shell`	varchar(255) NOT NULL
,	`quota`	bigint(20) unsigned NOT NULL DEFAULT '0'
,	`mapped_to`	int(10) unsigned
,	UNIQUE `login` (`serviceNodeId`,`login`)
,	PRIMARY KEY (`id`)
,	INDEX `mapped_to` (`mapped_to`)
,	INDEX `account_id` (`account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Templates` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`owner_id`	int(10) unsigned NOT NULL
,	`type`	enum('reseller','client','domain','domain_addon') NOT NULL
,	`uuid`	varchar(36) NOT NULL
,	`external_id`	varchar(255)
,	`note_id`	int(10) unsigned
,	UNIQUE `uuid` (`uuid`)
,	INDEX `note_id` (`note_id`)
,	PRIMARY KEY (`id`)
,	INDEX `owner_id` (`owner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `TmplData` (
	`tmpl_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`element`	varchar(255) NOT NULL
,	`value`	varchar(255) NOT NULL
,	PRIMARY KEY (`tmpl_id`,`element`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `TraceFailedRequestsProviderAreas` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`providerId`	int(10) unsigned NOT NULL
,	`name`	varchar(255) NOT NULL
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`providerId`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `TraceFailedRequestsProviders` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`ruleId`	int(10) unsigned NOT NULL
,	`name`	varchar(255) NOT NULL
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`ruleId`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `TraceFailedRequestsRules` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`domainId`	int(10) unsigned NOT NULL
,	`statusCodes`	varchar(255) NOT NULL
,	`stopDate`	datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
,	`isEnabled`	int(1) NOT NULL DEFAULT '0'
,	INDEX `isEnabled` (`isEnabled`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `upgrade_history` (
	`upgrade_date`	datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
,	`version_info`	varchar(50)
,	`db_version`	varchar(50)
,	`os`	varchar(255)
,	`mu`	varchar(255)
,	PRIMARY KEY (`upgrade_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `web_users` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`dom_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`sys_user_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	`ssi`	enum('false','true') NOT NULL DEFAULT 'false'
,	`ssi_html`	enum('false','true') NOT NULL DEFAULT 'false'
,	`php`	enum('false','true') NOT NULL DEFAULT 'false'
,	`php_isapi`	enum('false','true') NOT NULL DEFAULT 'false'
,	`cgi`	enum('false','true') NOT NULL DEFAULT 'false'
,	`perl`	enum('false','true') NOT NULL DEFAULT 'false'
,	`python`	enum('false','true') NOT NULL DEFAULT 'false'
,	`asp`	enum('false','true') NOT NULL DEFAULT 'false'
,	`asp_dot_net`	enum('false','true') NOT NULL DEFAULT 'false'
,	`managed_runtime_version`	varchar(255) NOT NULL DEFAULT '1.1'
,	`write_modify`	varchar(255)
,	`fastcgi`	enum('false','true') NOT NULL DEFAULT 'false'
,	UNIQUE `sys_user_id` (`sys_user_id`)
,	PRIMARY KEY (`id`)
,	INDEX `dom_id` (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `WebApps` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`name`	varchar(255)
,	`status`	int(10) NOT NULL DEFAULT '0'
,	`domain_service_id`	int(10) unsigned NOT NULL DEFAULT '0'
,	INDEX `domain_service_id` (`domain_service_id`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `PersistentCache` (
	`key`	varchar(128) NOT NULL
,	`uid`	varchar(32) NOT NULL
,	`expire`	timestamp NOT NULL
,	`events`	varchar(255) NOT NULL
,	PRIMARY KEY (`key`,`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `BackendCache` (
	`key`	varchar(128) NOT NULL
,	`data`	text NOT NULL
,	PRIMARY KEY (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_users` (
	`id`	int(11) NOT NULL auto_increment
,	`login`	varchar(255)
,	`password`	varchar(255)
,	`contactName`	varchar(255)
,	`email`	varchar(255)
,	`companyName`	varchar(255)
,	`phone`	varchar(255)
,	`fax`	varchar(255)
,	`address`	text
,	`city`	varchar(255)
,	`state`	varchar(255)
,	`zip`	varchar(255)
,	`country`	varchar(255)
,	`creationDate`	varchar(25) NOT NULL
,	`isBuiltIn`	int(11) DEFAULT '0'
,	`isDomainAdmin`	int(11) DEFAULT '0'
,	`roleId`	int(11) NOT NULL
,	`uuid`	varchar(36) NOT NULL
,	`isLocked`	int(11) DEFAULT '0'
,	`authCookie`	varchar(255)
,	`sessionId`	varchar(255)
,	`externalId`	varchar(255)
,	`ownerId`	int(11)
,	`additionalInfo`	text
,	`imNumber`	varchar(255)
,	`imType`	int(11)
,	`isLegacyUser`	int(11) DEFAULT '0'
,	`subscriptionDomainId`	int(11) DEFAULT '0'
,	`locale`	varchar(17)
,	INDEX `isBuiltIn_idx` (`isBuiltIn`)
,	UNIQUE `uuid` (`uuid`)
,	PRIMARY KEY (`id`)
,	INDEX `ownerId_idx` (`ownerId`)
,	INDEX `subscriptionDomainId_idx` (`subscriptionDomainId`)
,	UNIQUE `login` (`login`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `smb_users` (`contactName`,`id`,`city`,`password`,`uuid`,`zip`,`roleId`,`state`,`isLocked`,`externalId`,`email`,`fax`,`isDomainAdmin`,`companyName`,`phone`,`authCookie`,`address`,`creationDate`,`isBuiltIn`,`country`,`sessionId`,`login`) VALUES ('admin','1','','','','','1','','0','','','','0','','','','','','1','','','admin');

CREATE TABLE IF NOT EXISTS `smb_locales` (
	`id`	int(11) NOT NULL auto_increment
,	`code`	varchar(255)
,	`title`	varchar(255)
,	`isActive`	int(11) DEFAULT '1'
,	UNIQUE `code` (`code`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `smb_locales` (`code`,`id`,`isActive`,`title`) VALUES ('en-US','1','1','ENGLISH (United States)');

CREATE TABLE IF NOT EXISTS `smb_componentUpdates` (
	`id`	int(11) NOT NULL auto_increment
,	`componentName`	varchar(255)
,	`version`	varchar(255)
,	`build`	varchar(255)
,	`shown`	int(11) DEFAULT '0'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsPackages` (
	`id`	int(11) NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`version`	varchar(255)
,	`release`	varchar(255)
,	`vendor`	varchar(255)
,	`vendorHomePage`	varchar(255)
,	`packager`	varchar(255)
,	`packagerHomePage`	varchar(255)
,	`cacheId`	varchar(255) NOT NULL
,	`installed`	varchar(26)
,	`isUploaded`	int(11) DEFAULT '0'
,	`isVisible`	int(11) DEFAULT '0'
,	`globalSettingsNotSet`	int(11) DEFAULT '0'
,	`registryUid`	varchar(36)
,	UNIQUE `cacheId` (`cacheId`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsContexts` (
	`id`	int(11) NOT NULL auto_increment
,	`contextType`	int(11) DEFAULT '0'
,	`packageId`	int(11) NOT NULL
,	`requirementContextClass`	varchar(255)
,	`requirementContextId`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsSettings` (
	`id`	int(11) NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`value`	varchar(255)
,	`contextId`	int(11) NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsMetas` (
	`id`	int(11) NOT NULL auto_increment
,	`name`	varchar(255) NOT NULL
,	`serviceId`	varchar(255)
,	`xpath`	varchar(255)
,	`class`	varchar(255)
,	`contextId`	int(11) NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsInstances` (
	`id`	int(11) NOT NULL auto_increment
,	`parentContextId`	int(11) NOT NULL
,	`contextId`	int(11) NOT NULL
,	`metaId`	int(11) NOT NULL
,	`uuid`	varchar(255)
,	`registryResourceId`	varchar(36)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsResources` (
	`id`	int(11) NOT NULL auto_increment
,	`class`	varchar(255) NOT NULL
,	`contextId`	int(11) NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsResourceParameters` (
	`id`	int(11) NOT NULL auto_increment
,	`resourceId`	int(11) NOT NULL
,	`name`	varchar(255) NOT NULL
,	`value`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsProvisions` (
	`id`	int(11) NOT NULL auto_increment
,	`class`	varchar(255) NOT NULL
,	`contextId`	int(11) NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsProvisionEnvironments` (
	`id`	int(11) NOT NULL auto_increment
,	`provisionId`	int(11) NOT NULL
,	`name`	varchar(255) NOT NULL
,	`value`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsPackageUpdates` (
	`id`	int(11) NOT NULL auto_increment
,	`packageId`	int(11) NOT NULL
,	`updatePackageId`	int(11)
,	`catalog`	varchar(255)
,	`version`	varchar(255)
,	`release`	varchar(255)
,	`packager`	varchar(255)
,	`severity`	varchar(255)
,	`level`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsInstanceErrors` (
	`id`	int(11) NOT NULL auto_increment
,	`instanceId`	int(11) NOT NULL
,	`creationDate`	varchar(25) NOT NULL
,	`text`	text
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_roles` (
	`id`	int(11) NOT NULL auto_increment
,	`name`	varchar(255)
,	`isBuiltIn`	int(11) DEFAULT '0'
,	`ownerId`	int(11)
,	INDEX `ownerId_idx` (`ownerId`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_fileSharingUnlistedFiles` (
	`id`	int(11) NOT NULL auto_increment
,	`creationDate`	varchar(25) NOT NULL
,	`salt`	varchar(255)
,	`name`	varchar(255)
,	`path`	varchar(255)
,	`expiration`	int(11)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_productUpgrades` (
	`id`	int(11) NOT NULL auto_increment
,	`releaseId`	varchar(255)
,	`version`	varchar(255)
,	`description`	varchar(255)
,	`shown`	int(11) DEFAULT '0'
,	`codename`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsCategories` (
	`id`	int(11) NOT NULL auto_increment
,	`name`	varchar(255)
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsPackagesCategories` (
	`id`	int(11) NOT NULL auto_increment
,	`categoryId`	int(11)
,	`packageId`	int(11)
,	PRIMARY KEY (`id`)
,	INDEX `packageId_idx` (`packageId`)
,	INDEX `categoryId_idx` (`categoryId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsBundleFilters` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`type`	enum('white','black') NOT NULL DEFAULT 'black'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_apsBundleFilterItems` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`filterId`	int(10) unsigned NOT NULL DEFAULT '0'
,	`propertyName`	varchar(255)
,	`propertyValue`	varchar(255)
,	INDEX `filterId_idx` (`filterId`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_generalPermissions` (
	`id`	int(11) NOT NULL auto_increment
,	`code`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('userManagement','1');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('webSitesAndDomainsManagement','2');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('logRotationManagement','3');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('anonymousFtpManagement','4');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('scheduledTasksManagement','5');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('spamfilterManagement','6');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('antivirusManagement','7');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('databasesManagement','8');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('backupRestoreManagement','9');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('browseStats','10');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('applicationsManagement','11');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('sitebuilderManagement','12');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('filesManagement','13');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('ftpAccountsManagement','14');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('dnsManagement','15');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('javaApplicationsManagement','16');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('mailManagement','17');
REPLACE INTO `smb_generalPermissions` (`code`,`id`) VALUES ('mailListsManagement','18');

CREATE TABLE IF NOT EXISTS `smb_roleGeneralPermissions` (
	`id`	int(11) NOT NULL auto_increment
,	`roleId`	int(11) NOT NULL
,	`generalPermissionId`	int(11) NOT NULL
,	`isAllowed`	int(11)
,	INDEX `roleId_idx` (`roleId`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','101','1');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','102','2');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','103','3');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','104','4');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','105','5');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','106','6');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','107','7');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','108','8');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','109','9');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','110','10');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','111','11');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','112','12');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','113','13');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','114','14');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','115','15');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','116','16');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','117','17');
REPLACE INTO `smb_roleGeneralPermissions` (`isAllowed`,`roleId`,`id`,`generalPermissionId`) VALUES ('1','1','118','18');

CREATE TABLE IF NOT EXISTS `smb_serviceProviders` (
	`id`	int(11) NOT NULL auto_increment
,	`classname`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `smb_serviceProviders` (`classname`,`id`) VALUES ('Smb_Service_Provider_Aps','1');
REPLACE INTO `smb_serviceProviders` (`classname`,`id`) VALUES ('Smb_Service_Provider_FileSharing','2');

CREATE TABLE IF NOT EXISTS `smb_serviceInstances` (
	`id`	int(11) NOT NULL auto_increment
,	`description`	varchar(255)
,	`serviceProviderId`	int(11) NOT NULL
,	`externalId`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `smb_serviceInstances` (`externalId`,`serviceProviderId`,`id`,`description`) VALUES ('main','2','1','SMB File Sharing Service');

CREATE TABLE IF NOT EXISTS `smb_servicePermissions` (
	`id`	int(11) NOT NULL auto_increment
,	`serviceInstanceId`	int(11) NOT NULL
,	`serviceProviderId`	int(11) NOT NULL
,	`permissionCode`	varchar(255)
,	`class`	varchar(255)
,	`status`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `smb_servicePermissions` (`status`,`serviceProviderId`,`permissionCode`,`class`,`id`,`serviceInstanceId`) VALUES ('','2','external','account','1','1');
REPLACE INTO `smb_servicePermissions` (`status`,`serviceProviderId`,`permissionCode`,`class`,`id`,`serviceInstanceId`) VALUES ('','2','sharing','account','2','1');

CREATE TABLE IF NOT EXISTS `smb_serviceEntryPoints` (
	`id`	int(11) NOT NULL auto_increment
,	`servicePermissionId`	int(11) NOT NULL
,	`externalId`	varchar(255)
,	`label`	varchar(255)
,	`description`	varchar(255)
,	`icon`	varchar(255)
,	`redirectUrl`	varchar(255)
,	`hidden`	int(11) DEFAULT '0'
,	`http`	int(11) DEFAULT '0'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_roleServicePermissions` (
	`id`	int(11) NOT NULL auto_increment
,	`roleId`	int(11) NOT NULL
,	`servicePermissionId`	int(11) NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `smb_roleServicePermissions` (`servicePermissionId`,`roleId`,`id`) VALUES ('1','1','1');

CREATE TABLE IF NOT EXISTS `smb_userServicePermissions` (
	`id`	int(11) NOT NULL auto_increment
,	`userId`	int(11) NOT NULL
,	`servicePermissionId`	int(11) NOT NULL
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `smb_servicePermissionAccounts` (
	`id`	int(11) NOT NULL auto_increment
,	`userId`	int(11) NOT NULL
,	`servicePermissionId`	int(11) NOT NULL
,	`externalId`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `smb_servicePermissionAccounts` (`servicePermissionId`,`externalId`,`userId`,`id`) VALUES ('2','','1','1');

CREATE TABLE IF NOT EXISTS `smb_settings` (
	`id`	int(11) NOT NULL auto_increment
,	`name`	varchar(255)
,	`value`	text
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('1','en-US','locale');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('3','','product-logo');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('4','http://www.parallels.com','product-logo-url');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('5','discard','mailNonExistPolicy');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('6','This address no longer accepts mail.','mailBounceMessage');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('7','','mailForwardAddress');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('8','','mailRedirectIp');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('9','10000','mailMaxLetterSize');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('10','false','mailCheckForViruses');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('11','','mailWebmail');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('14','','fsDomain');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('15','files','fsPrefix');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('16','false','fsLinksAsHttps');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('17','true','fsPublicFolderEnabled');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('18','public','fsPublicFolder');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('19','public-docs','fsPublicUrl');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('20','true','fsPartnerFolderEnabled');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('21','protected','fsPartnerFolder');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('22','protected','fsPartnersLogin');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('23','','fsPartnersPassword');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('24','true','automaticUpdates');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('25','move','spamAction');
REPLACE INTO `smb_settings` (`id`,`value`,`name`) VALUES ('26','***SPAM***','spamActionText');

CREATE TABLE IF NOT EXISTS `webalizer_group_referrer` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`dom_id`	int(10) unsigned NOT NULL
,	`group_name`	varchar(255) NOT NULL
,	`referrer`	varchar(255) NOT NULL
,	INDEX `dom_id` (`dom_id`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `webalizer_hidden_referrer` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`dom_id`	int(10) unsigned NOT NULL
,	`referrer`	varchar(255) NOT NULL
,	INDEX `dom_id` (`dom_id`)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `Webmails` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`product_id`	varchar(255) NOT NULL
,	`name`	varchar(255) NOT NULL
,	`version`	varchar(255) NOT NULL
,	`release`	varchar(255) NOT NULL
,	`docroot`	varchar(255) NOT NULL
,	`enabled`	enum('false','true') NOT NULL DEFAULT 'false'
,	`serviceNodeId`	int(10) unsigned NOT NULL DEFAULT '1'
,	UNIQUE `docroot` (`docroot`)
,	PRIMARY KEY (`id`)
,	UNIQUE `product_id` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `WebServerSettings` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `WebServerSettingsParameters` (
	`webServerSettingsId`	int(10) unsigned NOT NULL
,	`name`	varchar(255) NOT NULL
,	`value`	text
,	PRIMARY KEY (`webServerSettingsId`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `BlUpgrades` (
	`id`	varchar(255) NOT NULL
,	`status`	enum('new','fatal','optional','success') NOT NULL DEFAULT 'new'
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `BlUpgradeActions` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`action`	varchar(255) NOT NULL
,	`status`	enum('new','error','skip','success') NOT NULL DEFAULT 'new'
,	`message`	varchar(255)
,	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


COMMIT;
